```{csv-table}
**Extension**: {{ extension_version }},**Documentation Generated**: {sub-ref}`today`
```

# Settings

## Settings Provided by the Extension

### exts."isaacsim.code_editor.vscode".host
- **Default Value**: "127.0.0.1"
- **Description**: IP address where the extension server will listen for connections.

### exts."isaacsim.code_editor.vscode".port
- **Default Value**: 8226
- **Description**: Port number where the extension server will listen for connections.

### exts."isaacsim.code_editor.vscode".carb_logs
- **Default Value**: false
- **Description**: Whether to publish incoming carb logging messages, which may cause application freezing in certain circumstances when enabled.
